<template>
  <div>
    <b-overlay :show="show" id="overlayid" rounded="sm" @shown="onShown" @hidden="onHidden" v-if="searchBox==='YES'">
      <b-card title="" :aria-hidden="show ? 'true' : null">
        <b-row id="topbar" >
          <b-col sm="2"></b-col>
          <b-col sm="6">
            <b-form-input v-model="domainUrl" size="lg" placeholder="Enter your website url"></b-form-input>
          </b-col>
          <b-col sm="4">
            <b-button size="lg" ref="show" :disabled="show" variant="primary" @click="searchBtn()">Search</b-button>
          </b-col>
        </b-row>
      </b-card>
      <template v-slot:overlay>
        <div class="text-center">
          <b-icon icon="stopwatch" font-scale="3" animation="cylon"></b-icon>
          <p id="cancel-label">Please wait...</p>
          <b-button
            ref="cancel"
            variant="outline-danger"
            size="sm"
            aria-describedby="cancel-label"
            @click="cancelbtn()">
            Cancel
          </b-button>
        </div>
      </template>
    </b-overlay>


    <b-row class="mt-1"  v-if="dispSeo ==='YES'">
      
        <b-col sm="12" v-if="progPoint!=100">
        <b-progress :max="100" height="20px" variant='primary' show-progress animated>
          <b-progress-bar :value="progPoint">
            {{ progPoint }} % Completed 
          </b-progress-bar>
        </b-progress>
      </b-col>
      
    </b-row>

   
    <b-row class="mt-2" v-if="dispType ==='YES'">
      <b-col sm="12">
      
        <b-card v-bind:style="{border: borderColor}">
          <div class="text-center" v-if="dispSeo ==='NO'">
            <b-spinner label="Spinning"></b-spinner>
            <b-spinner type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="primary" label="Spinning"></b-spinner>
            <b-spinner variant="primary" type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="success" label="Spinning"></b-spinner>
            <b-spinner variant="success" type="grow" label="Spinning"></b-spinner>
          </div>

    
          <div v-else>

            <div class="card" >
              <div class="card-header" style="color: #fff;background-color: #495057;">
                  <b-row>
                    <b-col sm="12">Audit Results for {{ titleArr.mydomain }}</b-col>
                  </b-row>
              </div>
              <div class="card-body">
                 <b-row >
                  <b-col sm="4">
                   <div id="computer" :style="{ backgroundImage: 'url(' + image + ')' }">
                     <img id="computer1" :src="loader" />
                   </div>
                     
                  </b-col>

                  <b-col sm="6">
                    <H4><a v-bind:href="titleArr.mydomain" target="_blanck"> {{  titleArr.mydomain }}</a></h4>
                    <p>{{ getseo11Arr.disDate }}</p>

                    <b-row>
                      <b-col sm="12">
                        <b-icon icon="check-circle" variant="success"></b-icon> Passed
                        <b-progress :value="t_success" height="15px" variant="success" :striped="striped"></b-progress>
                      </b-col>
                    </b-row>

                    <b-row class="mt-1">
                        <b-col sm="12">
                        <b-icon icon="check-circle" variant="warning"></b-icon> Improve
                        <b-progress :value="t_improve" height="15px" variant="warning" :striped="striped"></b-progress>
                      </b-col>
                      
                    </b-row>

                    <b-row class="mt-1">
                        <b-col sm="12">
                        <b-icon icon="x-circle" variant="danger"></b-icon> Error
                        <b-progress :value="t_error" height="15px" variant="danger" :striped="striped"></b-progress>
                      </b-col>
                    </b-row>

                    <b-row class="mt-3" v-if="dispSeo ==='YES'">
                        <b-col sm="12">
                        <b-button variant="primary" @click="updateReport()">Update</b-button>
                      </b-col>
                    </b-row>

                    
                    
                  </b-col>

                  <b-col sm="2" style="margin-left:-20px;margin-top:42px">
                    <knob-control
                      :min="0"
                      :max="100"
                      :size="180"
                      :strokeWidth="4"
                      :primaryColor="primaryColorg"
                      v-model="modelvalue"
                    ></knob-control>
                  </b-col>
                  
                </b-row>

                
              </div>
            </div>
            
          </div>
        </b-card>
      </b-col>
    </b-row>

    <b-row class="mt-2" v-if="dispType ==='YES'">
      <b-col sm="12">

        <h5>{{ titleArr.pageTitle }}</h5>
        <hr v-if="dispSeo ==='YES'">

        <b-card v-bind:style="{border: borderColor}">
      
            <div class="text-center" v-if="dispSeo ==='NO'">
              <b-spinner label="Spinning"></b-spinner>
              <b-spinner type="grow" label="Spinning"></b-spinner>
              <b-spinner variant="primary" label="Spinning"></b-spinner>
              <b-spinner variant="primary" type="grow" label="Spinning"></b-spinner>
              <b-spinner variant="success" label="Spinning"></b-spinner>
              <b-spinner variant="success" type="grow" label="Spinning"></b-spinner>
            </div>
            

            <div v-else>

              <div class="card" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">Title Tag</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <b-icon icon="check-circle" variant="success"></b-icon> {{ titleArr.titleTag }} <br><b>Length: </b> {{ titleArr.pageTlen }} character(s)
                  <div class="mt-3" v-if="isActive" @click="closeInfo('isActive')">
                    <b-alert v-bind:variant='titleArr.titleMsgc' show dismissible >
                          {{ titleArr.titleMsg }}
                    </b-alert>
                  </div>
                </div>
              </div>


              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">Meta Description</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive1')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <b-card-text> <b-icon icon="check-circle" variant="success"></b-icon> {{ titleArr.pageDesc }} <br><b>Length: </b> {{ titleArr.pageDlen }} character(s) </b-card-text>
                  <div class="mt-3" v-if="isActive1" @click="closeInfo('isActive1')">
                    <b-alert v-bind:variant='titleArr.desMsgc' show dismissible >
                          {{ titleArr.desMsg }}
                    </b-alert>
                  </div>
                </div>
              </div>


              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">Meta Keywords</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive2')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <b-card-text> <b-icon icon="check-circle" variant="success"></b-icon>  {{ titleArr.pageKeyword }} </b-card-text>
                 <div class="mt-3" v-if="isActive2" @click="closeInfo('isActive2')">
                    <b-alert v-bind:variant='titleArr.keyMsgc' show dismissible >
                          {{ titleArr.keyMsg }}
                    </b-alert>
                  </div>
                </div>
              </div>

               <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">Heading Tags</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive3')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <table class="table" hover v-html="titleArr.HeadCount"  variant="success"></table>
                  <table class="table" v-html="titleArr.HeadTag" variant="success"></table>
                  <div class="mt-3" v-if="isActive3" @click="closeInfo('isActive3')">
                    <b-alert v-bind:variant='titleArr.headingClass' show dismissible >
                          {{ titleArr.heading_msg }}
                    </b-alert>
                  </div>
                </div>
              </div>


              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">Google Preview</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive4')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <b-card-text> <u style="color:blue"> {{ titleArr.titleTag }} </u> <br> <b style="color:green;font-size:14px">  {{ titleArr.mydomain }}</b> <br> <p style="font-size:14px">{{ titleArr.pageDesc }} </p>
                    </b-card-text>
                 <div class="mt-3" v-if="isActive4" @click="closeInfo('isActive4')">
                    <b-alert v-bind:variant='titleArr.keyMsgc' show dismissible >
                          {{ titleArr.googleMsg }}
                    </b-alert>
                  </div>
                </div>
              </div>

              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">Image Alt Tags</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive5')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <p> <b-icon icon="x-circle" variant="danger"></b-icon> We found {{ getseoArr.totalAltImg }} images on this web page</p>
                  <p> <b-icon icon="exclamation-triangle-fill" variant="danger"></b-icon> {{ getseoArr.missingTag }} ALT attributes are empty or missing.</p>
                  <b-table hover v-html="getseoArr.missingTagImg"></b-table>
                 <div class="mt-3" v-if="isActive5" @click="closeInfo('isActive5')">
                    <b-alert v-bind:variant='getseoArr.imgAltClass' show dismissible >
                          {{ getseoArr.imgAlt_Msg }}
                    </b-alert>
                  </div>
                </div>
              </div>


              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">Keyword Consistency</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive6')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <b-card-text>

                    <div v-if="klength==15">

                      <b-button variant="primary" size="sm" style="margin-top:5px" >
                            {{ getkeyword[0].keyword }} <b-badge variant="light">  {{ getkeyword[0].keywordc }}</b-badge>
                      </b-button> &nbsp; &nbsp;

                      <b-button variant="primary" size="sm" style="margin-top:5px" v-if="getkeyword[1].keyword">
                        {{ getkeyword[1].keyword }} <b-badge variant="light">{{ getkeyword[1].keywordc }}</b-badge>
                      </b-button> &nbsp; &nbsp;
                      

                     
                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[2].keyword }} <b-badge variant="light">{{ getkeyword[2].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;
                    
                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[3].keyword }} <b-badge variant="light">{{ getkeyword[3].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;
                      
                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[4].keyword }} <b-badge variant="light">{{ getkeyword[4].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;

                     
                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[5].keyword }} <b-badge variant="light">{{ getkeyword[5].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;

                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[6].keyword }} <b-badge variant="light">{{ getkeyword[6].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;

                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[7].keyword }} <b-badge variant="light">{{ getkeyword[7].keywordc }}</b-badge>
                      </b-button>
                    
                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[8].keyword }} <b-badge variant="light">{{ getkeyword[8].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;

                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[9].keyword }} <b-badge variant="light">{{ getkeyword[9].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;

                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[10].keyword }} <b-badge variant="light">{{ getkeyword[10].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;

                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[11].keyword }} <b-badge variant="light">{{ getkeyword[11].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;

                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[12].keyword }} <b-badge variant="light">{{ getkeyword[12].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;

                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[13].keyword }} <b-badge variant="light">{{ getkeyword[13].keywordc }}</b-badge>
                      </b-button>&nbsp; &nbsp;

                      <b-button variant="primary" size="sm" style="margin-top:5px">
                        {{ getkeyword[14].keyword }} <b-badge variant="light">{{ getkeyword[14].keywordc }}</b-badge>
                      </b-button>
                    
                  </div>
                  <div v-else>
                      <P>Consistency Keyword Not Found</P>
                  </div> 
                    
                  </b-card-text>
                 <div class="mt-3" v-if="isActive6" @click="closeInfo('isActive6')">
                    <b-alert v-bind:variant='titleArr.ConsistencyClass' show dismissible >
                          {{ titleArr.Consistency_msg }}
                    </b-alert>
                  </div>
                </div>
              </div>


              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">Individual Keywords</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive7')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <table class="table" v-html="titleArr.keyConData"></table>
                 <div class="mt-3" v-if="isActive7" @click="closeInfo('isActive7')">
                     <b-alert v-bind:variant='titleArr.ConsistencyClass' show dismissible >
                          {{ titleArr.Consistency_msg }}
                    </b-alert>
                  </div>
                </div>
              </div>


              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">Text/HTML Ratio</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive8')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <p> <b-icon icon="check-circle" variant="success"></b-icon> HTML to Text Ratio is: {{ getseo2Arr.textRatio }}</p>
                  <table class="table">
                    <tr><td>Text content size </td><td>{{ getseo2Arr.contentSize }}</td></tr>
                    <tr><td>Total HTML size </td><td>{{ getseo2Arr.htmlSize }}</td></tr>
                  </table>
                 <div class="mt-3" v-if="isActive8" @click="closeInfo('isActive8')">
                    <b-alert v-bind:variant='getseo2Arr.textRatioClass' show dismissible >
                          {{ getseo2Arr.textRatio_msg }}
                    </b-alert>
                  </div>
                </div>
              </div>


              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">GZIP compression</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive9')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo2Arr.gzipHead }} </p>
                  <p>  {{ getseo2Arr.gzipBody }} </p>
                 <div class="mt-3" v-if="isActive9" @click="closeInfo('isActive9')">
                    <b-alert v-bind:variant='getseo2Arr.gzipHeadClass' show dismissible >
                          {{ getseo2Arr.gzipHead_msg }}
                    </b-alert>
                  </div>
                </div>
              </div>


              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">WWW Resolve</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive10')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo2Arr.wwwResolve }} </p>
                 <div class="mt-3" v-if="isActive10" @click="closeInfo('isActive10')">
                    <b-alert v-bind:variant='getseo2Arr.resolveClass' show dismissible >
                          {{ getseo2Arr.resolve_Msg }}
                    </b-alert>
                  </div>
                </div>
              </div>

              <div class="card mt-2" >
                <div class="card-header">
                    <b-row>
                      <b-col sm="11">IP Canonicalization</b-col>
                      <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive11')"></b-icon></b-col>
                    </b-row>
                </div>
                <div class="card-body">
                  <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo2Arr.ipMsg }} </p>
                 <div class="mt-3" v-if="isActive11" @click="closeInfo('isActive11')">
                    <b-alert v-bind:variant='getseo2Arr.ipClass' show dismissible >
                          {{ getseo2Arr.ip_msg }}
                    </b-alert>
                  </div>
                </div>
              </div>


            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">XML Sitemap</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive12')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo2Arr.xmlSitemap }} <br> &nbsp;&nbsp;&nbsp; <a v-bind:href="getseo2Arr.xmlLink" target="_blanck"> {{ getseo2Arr.xmlLink }}</a> </p>
                <div class="mt-3" v-if="isActive12" @click="closeInfo('isActive12')">
                  <b-alert v-bind:variant='getseo2Arr.sitemapClass' show dismissible >
                        {{ getseo2Arr.sitemap_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Robots.txt</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive13')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo3Arr.robotMsg }} <br> &nbsp;&nbsp;&nbsp; <a v-bind:href="getseo3Arr.robotLink" target="_blanck"> {{ getseo3Arr.robotLink }}</a> </p>
                <div class="mt-3" v-if="isActive13" @click="closeInfo('isActive13')">
                  <b-alert v-bind:variant='getseo3Arr.robotClass' show dismissible >
                        {{ getseo3Arr.robotMsgNote }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">URL Rewrite</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive48')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo10Arr.urlRewritingMsg }} </p>
                <div class="mt-3" v-if="isActive48" @click="closeInfo('isActive48')">
                  <b-alert v-bind:variant='getseo10Arr.urlRewritingClass' show dismissible >
                        {{ getseo10Arr.urlRewriting_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>


            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Underscores in the URLs</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive49')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo10Arr.linkUnderScoreMsg }} </p>
                <div class="mt-3" v-if="isActive49" @click="closeInfo('isActive49')">
                  <b-alert v-bind:variant='getseo10Arr.linkUnderScoreClass' show dismissible >
                        {{ getseo10Arr.linkUnderScore_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>


            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Embedded Objects</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive14')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo3Arr.embeddedMsg }} </p>
                <div class="mt-3" v-if="isActive14" @click="closeInfo('isActive14')">
                  <b-alert v-bind:variant='getseo3Arr.embeddedClass' show dismissible >
                        {{ getseo3Arr.embedded_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Iframe</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive15')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo3Arr.iframeMsg }} </p>
                <div class="mt-3" v-if="isActive15" @click="closeInfo('isActive15')">
                  <b-alert v-bind:variant='getseo3Arr.iframeClass' show dismissible >
                        {{ getseo3Arr.iframe_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Domain Registration</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive16')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <table class="table" v-html="getseo3Arr.domReg"></table>
                <div class="mt-3" v-if="isActive16" @click="closeInfo('isActive16')">
                  <b-alert v-bind:variant='getseo3Arr.whoisc' show dismissible >
                        {{ getseo3Arr.domainAgeMsg }}
                  </b-alert>
                </div>
              </div>
            </div>


            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">WHOIS Data</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive17')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> {{ getseo3Arr.whoishead }} </p>
                <table class="table" v-html="getseo3Arr.whoisData"></table>
                <div class="mt-3" v-if="isActive17" @click="closeInfo('isActive17')">
                  <b-alert v-bind:variant='getseo3Arr.whoisc' show dismissible >
                        {{ getseo3Arr.whoisDataMsg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Indexed Pages</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive18')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> {{ getseo3Arr.indexhead }} </p>
                 <b-progress :max="100" height="20px" v-bind:variant='getseo3Arr.indexClass' show-progress animated>
                  <b-progress-bar :value="getseo3Arr.progRange">
                    {{ getseo3Arr.indexPage }} Page(s)
                  </b-progress-bar>
                </b-progress>
                <div class="mt-3" v-if="isActive18" @click="closeInfo('isActive18')">
                  <b-alert v-bind:variant='getseo3Arr.indexClass' show dismissible >
                        {{ getseo3Arr.indexMsg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Backlinks Counter</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive19')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> {{ getseo3Arr.backHead }} </p>
                 <b-progress :max="100" height="20px" v-bind:variant='getseo3Arr.backClass' show-progress animated>
                  <b-progress-bar :value="getseo3Arr.bprogRange">
                    {{ getseo3Arr.backPage }} Backlink(s)
                  </b-progress-bar>
                </b-progress>
                <div class="mt-3" v-if="isActive19" @click="closeInfo('isActive19')">
                  <b-alert v-bind:variant='getseo3Arr.backClass' show dismissible >
                        {{ getseo3Arr.backMsg }}
                  </b-alert>
                </div>
              </div>
            </div>


            </div>
          </b-card>
      </b-col>
    </b-row>

   
    <b-row class="mt-5" v-if="dispType1 ==='YES'">
      <b-col sm="12">
        <h5>{{ getseo4Arr.titleUsablility }}</h5>
        <hr v-if="dispSeo1 ==='YES'">

        <b-card v-bind:style="{border: borderColor1}">
          <div class="text-center" v-if="dispSeo1 ==='NO'">
            <b-spinner label="Spinning"></b-spinner>
            <b-spinner type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="primary" label="Spinning"></b-spinner>
            <b-spinner variant="primary" type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="success" label="Spinning"></b-spinner>
            <b-spinner variant="success" type="grow" label="Spinning"></b-spinner>
          </div>

          

          <div v-else>

            <div class="card" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">URL</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive20')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo4Arr.mydomain }} <br><b>Length: </b> {{ getseo4Arr.urlLength }} character(s)
                <div class="mt-3" v-if="isActive20" @click="closeInfo('isActive20')">
                  <b-alert v-bind:variant='getseo4Arr.urlLengthClass' show dismissible >
                        {{ getseo4Arr.urlLengthMsg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Favicon</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive21')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <img :src="getseo4Arr.favIconUrl" alt="FavIcon" /> {{ getseo4Arr.favIconMsg }} </p>
                
                <div class="mt-3" v-if="isActive21" @click="closeInfo('isActive21')">
                  <b-alert v-bind:variant='getseo4Arr.favIconClass' show dismissible >
                        {{ getseo4Arr.favIcon_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Custom 404 Page</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive22')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo4Arr.errorPageMsg }} </p>
                
                <div class="mt-3" v-if="isActive22" @click="closeInfo('isActive22')">
                  <b-alert v-bind:variant='getseo4Arr.errorPageClass' show dismissible >
                        {{ getseo4Arr.errorPage_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Page Size</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive23')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo4Arr.sizeMsg }} </p>
                
                <div class="mt-3" v-if="isActive23" @click="closeInfo('isActive23')">
                  <b-alert v-bind:variant='getseo4Arr.sizeClass' show dismissible >
                        {{ getseo4Arr.size_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Load Time</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive24')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo4Arr.loadMsg }} </p>
                
                <div class="mt-3" v-if="isActive24" @click="closeInfo('isActive24')">
                  <b-alert v-bind:variant='getseo4Arr.loadClass' show dismissible >
                        {{ getseo4Arr.load_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Language</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive25')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo4Arr.langMsg }} </p>
                
                <div class="mt-3" v-if="isActive25" @click="closeInfo('isActive25')">
                  <b-alert v-bind:variant='getseo4Arr.langClass' show dismissible >
                        {{ getseo4Arr.lang_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">PageSpeed Insights (Desktop)</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive26')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo5Arr.desktopScore }} / 100  </p>
                <h3>Page Speed</h3>
                <p> <strong>{{ titleArr.mydomain }}</strong> {{ getseo5Arr.desktopSpeed }} </p>
                
                <div class="mt-3" v-if="isActive26" @click="closeInfo('isActive26')">
                  <b-alert v-bind:variant='getseo5Arr.desktopClass' show dismissible >
                        {{ getseo5Arr.desktopMsg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Domain Availability</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive27')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <table class="table" v-html="getseo5Arr.domainMsg"></table>
                <div class="mt-3" v-if="isActive27" @click="closeInfo('isActive27')">
                  <b-alert variant='info' show dismissible >
                        {{ getseo5Arr.domain_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Typo Availability</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive28')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <table class="table" v-html="getseo5Arr.typoMsg"></table>
                <div class="mt-3" v-if="isActive28" @click="closeInfo('isActive28')">
                  <b-alert variant='info' show dismissible >
                        {{ getseo5Arr.typo_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Email Privacy</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive29')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo4Arr.emailPrivacyMsg }} </p>
                
                <div class="mt-3" v-if="isActive29" @click="closeInfo('isActive29')">
                  <b-alert v-bind:variant='getseo4Arr.emailPrivacyClass' show dismissible >
                        {{ getseo4Arr.emailPrivacy_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Email Privacy</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive30')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo4Arr.safeBrowsingMsg }} </p>
                
                <div class="mt-3" v-if="isActive30" @click="closeInfo('isActive30')">
                  <b-alert v-bind:variant='getseo4Arr.safeBrowsingClass' show dismissible >
                        {{ getseo4Arr.safeBrowsing_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>


            

            
          </div>

        </b-card>
      </b-col>
    </b-row>



    <b-row class="mt-5" v-if="dispType2 ==='YES'">
      <b-col sm="12">
        <h5>{{ getseo6Arr.titleMobile }}</h5>
        <hr v-if="dispSeo2 ==='YES'">

        <b-card v-bind:style="{border: borderColor2}">
          <div class="text-center" v-if="dispSeo2 ==='NO'">
            <b-spinner label="Spinning"></b-spinner>
            <b-spinner type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="primary" label="Spinning"></b-spinner>
            <b-spinner variant="primary" type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="success" label="Spinning"></b-spinner>
            <b-spinner variant="success" type="grow" label="Spinning"></b-spinner>
          </div>

    
          <div v-else>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Mobile Friendliness</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive31')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo6Arr.isMobileFriendlyMsg">  </span> 
                <div class="mt-3" v-if="isActive31" @click="closeInfo('isActive31')">
                  <b-alert v-bind:variant='getseo6Arr.mobileCheckClass' show dismissible >
                        {{ getseo6Arr.mobileCheckMsg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Mobile View</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive32')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo6Arr.mobileScreenData"> </span> 
                <div class="mt-3" v-if="isActive32" @click="closeInfo('isActive32')">
                  <b-alert v-bind:variant='getseo6Arr.mobileScreenClass' show dismissible >
                        {{ getseo6Arr.mobileScreenMsg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Mobile Compatibility</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive33')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <span v-html="getseo6Arr.mobileComMsg"> </span> 
                <div class="mt-3" v-if="isActive33" @click="closeInfo('isActive33')">
                  <b-alert v-bind:variant='getseo6Arr.mobileComClass' show dismissible >
                        {{ getseo6Arr.mobileCom_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">PageSpeed Insights (Mobile)</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive34')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo5Arr.mobileScore }} / 100  </p>
                <h3>Page Speed</h3>
                <p v-html="getseo5Arr.mobileMsg"> </p>
                
                <div class="mt-3" v-if="isActive34" @click="closeInfo('isActive34')">
                  <b-alert v-bind:variant='getseo5Arr.mobileClass' show dismissible >
                        {{ getseo5Arr.desktopMsg }}
                  </b-alert>
                </div>
              </div>
            </div>


          </div>
        </b-card>
      </b-col>
    </b-row>

    <b-row class="mt-5" v-if="dispType3 ==='YES'">
      <b-col sm="12">
        <h5>{{ getseo7Arr.titleTech }}</h5>
        <hr v-if="dispSeo3 ==='YES'">

        <b-card v-bind:style="{border: borderColor3}">
          <div class="text-center" v-if="dispSeo3 ==='NO'">
            <b-spinner label="Spinning"></b-spinner>
            <b-spinner type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="primary" label="Spinning"></b-spinner>
            <b-spinner variant="primary" type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="success" label="Spinning"></b-spinner>
            <b-spinner variant="success" type="grow" label="Spinning"></b-spinner>
          </div>

    
          <div v-else>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Server IP</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive35')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <table class="table" v-html="getseo7Arr.serverIpMsg"></table> 
                <div class="mt-3" v-if="isActive35" @click="closeInfo('isActive35')">
                  <b-alert variant='success' show dismissible >
                      <span v-html="getseo7Arr.serverIp_Msg"></span>
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Speed Tips</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive36')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> {{ getseo7Arr.speedTipsMsg }} </p>

                <p v-html="getseo7Arr.speedTipsBody"> </p>
                
                <div class="mt-3" v-if="isActive36" @click="closeInfo('isActive36')">
                  <b-alert v-bind:variant='getseo7Arr.speedTipsClass' show dismissible >
                        {{ getseo7Arr.speedTips_Msg }}
                  </b-alert>
                </div>
              </div>
            </div>


            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Analytics</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive37')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo7Arr.analyticsMsg"> </span> </p>
                <div class="mt-3" v-if="isActive37" @click="closeInfo('isActive37')">
                  <b-alert v-bind:variant='getseo7Arr.analyticsClass' show dismissible >
                    <span v-html="getseo7Arr.analytics_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">W3C Validity</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive38')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo7Arr.w3cMsg"> </span> </p>
                <div class="mt-3" v-if="isActive38" @click="closeInfo('isActive38')">
                  <b-alert v-bind:variant='getseo7Arr.w3DataCheck' show dismissible >
                    <span v-html="getseo7Arr.w3c_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>


             <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Doc Type</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive39')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo7Arr.docTypeMsg"> </span> </p>
                <div class="mt-3" v-if="isActive39" @click="closeInfo('isActive39')">
                  <b-alert v-bind:variant='getseo7Arr.docTypeClass' show dismissible >
                    <span v-html="getseo7Arr.docType_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Encoding</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive40')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo7Arr.encodingMsg"> </span> </p>
                <div class="mt-3" v-if="isActive40" @click="closeInfo('isActive40')">
                  <b-alert v-bind:variant='getseo7Arr.encodingClass' show dismissible >
                    <span v-html="getseo7Arr.encoding_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>


          </div>
        </b-card>
      </b-col>
    </b-row>

    <b-row class="mt-5" v-if="dispType4 ==='YES'">
      <b-col sm="12">
        <h5>{{ getseo8Arr.titleSocial }}</h5>
        <hr v-if="dispSeo4 ==='YES'">

        <b-card v-bind:style="{border: borderColor4}">
          <div class="text-center" v-if="dispSeo4 ==='NO'">
            <b-spinner label="Spinning"></b-spinner>
            <b-spinner type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="primary" label="Spinning"></b-spinner>
            <b-spinner variant="primary" type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="success" label="Spinning"></b-spinner>
            <b-spinner variant="success" type="grow" label="Spinning"></b-spinner>
          </div>

    
          <div v-else>

            <div class="card" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Social Data</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive41')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo8Arr.socialMsg"> </span> </p>
                <table class="table">
                  <tr>
                    <th> 
                        <b-icon icon="check-circle" v-if="getseo8Arr.fbClass === 'success'" variant="success"></b-icon>
                        <b-icon icon="x-circle" v-else variant="danger"></b-icon>
                        Facebook Like
                    </th>
                    <td>{{ getseo8Arr.facebook_like}}</td>
                  </tr>
                  <tr>
                    <th>
                      <b-icon icon="check-circle" v-if="getseo8Arr.twitClass === 'success'" variant="success"></b-icon>
                      <b-icon icon="x-circle" v-else variant="danger"></b-icon>
                      Twitter
                    </th>
                    <td><span v-html="getseo8Arr.twit_count"></span></td>
                  </tr>
                  <tr>
                    <th>
                      <b-icon icon="check-circle" v-if="getseo8Arr.instaClass === 'success'" variant="success"></b-icon>
                      <b-icon icon="x-circle" v-else variant="danger"></b-icon>
                      Instagram
                    </th>
                    <td>{{ getseo8Arr.insta_count }}</td>
                  </tr>
                </table>
                <div class="mt-3" v-if="isActive41" @click="closeInfo('isActive41')">
                  <b-alert v-bind:variant='getseo8Arr.fbClass' show dismissible >
                    <span v-html="getseo8Arr.social_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>

          </div>
        </b-card>
      </b-col>
    </b-row>

    <b-row class="mt-5" v-if="dispType5 ==='YES'">
      <b-col sm="12">
        <h5>{{ getseo9Arr.titleVisitors }}</h5>
        <hr v-if="dispSeo5 ==='YES'">

        <b-card v-bind:style="{border: borderColor5}">
          <div class="text-center" v-if="dispSeo5 ==='NO'">
            <b-spinner label="Spinning"></b-spinner>
            <b-spinner type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="primary" label="Spinning"></b-spinner>
            <b-spinner variant="primary" type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="success" label="Spinning"></b-spinner>
            <b-spinner variant="success" type="grow" label="Spinning"></b-spinner>
          </div>

    
          <div v-else>

            <div class="card" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Estimated Worth</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive42')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo9Arr.worthMsg"> </span> </p>
                <div class="mt-3" v-if="isActive42" @click="closeInfo('isActive42')">
                  <b-alert v-bind:variant='getseo9Arr.visitorsClass' show dismissible >
                    <span v-html="getseo9Arr.worth_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Traffic Rank</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive43')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo9Arr.alexaMsg"> </span> </p>
                <div class="mt-3" v-if="isActive43" @click="closeInfo('isActive43')">
                  <b-alert v-bind:variant='getseo9Arr.visitorsClass' show dismissible >
                    <span v-html="getseo9Arr.alexa_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Regional Rank</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive44')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon> <span v-html="getseo9Arr.regional_rank"> </span> </p>
                <div class="mt-3" v-if="isActive44" @click="closeInfo('isActive44')">
                  <b-alert v-bind:variant='getseo9Arr.visitorsClass' show dismissible >
                    <span v-html="getseo9Arr.alexa_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Visitors Localization</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive45')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <table class="table" v-html="getseo9Arr.visitorsMsg" variant="success"></table>
                <div class="mt-3" v-if="isActive45" @click="closeInfo('isActive45')">
                  <b-alert v-bind:variant='getseo9Arr.visitorsClass' show dismissible >
                    <span v-html="getseo9Arr.visitors_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>

          </div>
        </b-card>
      </b-col>
    </b-row>


    <b-row class="mt-5" v-if="dispType6 ==='YES'">
      <b-col sm="12">
        <h5>{{ getseo10Arr.titleAnalysis }}</h5>
        <hr v-if="dispSeo6 ==='YES'">

        <b-card v-bind:style="{border: borderColor6}">
          <div class="text-center" v-if="dispSeo6 ==='NO'">
            <b-spinner label="Spinning"></b-spinner>
            <b-spinner type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="primary" label="Spinning"></b-spinner>
            <b-spinner variant="primary" type="grow" label="Spinning"></b-spinner>
            <b-spinner variant="success" label="Spinning"></b-spinner>
            <b-spinner variant="success" type="grow" label="Spinning"></b-spinner>
          </div>

    
          <div v-else>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">In-Page Links</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive46')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon>  {{ getseo10Arr.totallink }}</p>
                <table class="table" v-html="getseo10Arr.inPageData" ></table>
                <div class="mt-3" v-if="isActive46" @click="closeInfo('isActive46')">
                  <b-alert variant='info' show dismissible >
                    <span v-html="getseo10Arr.Inpage_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>

            <div class="card mt-2" >
              <div class="card-header">
                  <b-row>
                    <b-col sm="11">Broken Links</b-col>
                    <b-col sm="1"><b-icon icon="info-circle-fill" class="info-icon" @click="titleNote('isActive47')"></b-icon></b-col>
                  </b-row>
              </div>
              <div class="card-body">
                <p> <b-icon icon="check-circle" variant="success"></b-icon>  {{ getseo10Arr.brokenMsg }}</p>
                <table class="table" v-html="getseo10Arr.brokenLinks" ></table>
                <div class="mt-3" v-if="isActive47" @click="closeInfo('isActive47')">
                  <b-alert v-bind:variant='getseo10Arr.brokenClass' show dismissible >
                    <span v-html="getseo10Arr.broken_Msg"> </span> 
                  </b-alert>
                </div>
              </div>
            </div>

          </div>
        </b-card>
      </b-col>
    </b-row>

  </div>
</template>

<script>

import KnobControl from 'vue-knob-control'

  export default {
    data() {
      return {
        show: false,
        isActive:false,
        isActive1:false,
        isActive2:false,
        isActive3:false,
        isActive4:false,
        isActive5:false,
        isActive6:false,
        isActive7:false,
        isActive8:false,
        isActive9:false,
        isActive10:false,
        isActive11:false,
        isActive12:false,
        isActive13:false,
        isActive14:false,
        isActive15:false,
        isActive16:false,
        isActive17:false,
        isActive18:false,
        isActive19:false,
        isActive20:false,
        isActive21:false,
        isActive22:false,
        isActive23:false,
        isActive24:false,
        isActive25:false,
        isActive26:false,
        isActive27:false,
        isActive28:false,
        isActive29:false,
        isActive30:false,
        isActive31:false,
        isActive32:false,
        isActive33:false,
        isActive34:false,
        isActive35:false,
        isActive36:false,
        isActive37:false,
        isActive38:false,
        isActive39:false,
        isActive40:false,
        isActive41:false,
        isActive42:false,
        isActive43:false,
        isActive44:false,
        isActive45:false,
        isActive46:false,
        isActive47:false,
        isActive48:false,
        isActive49:false,
        domainUrl:'',
        iframekey:'self',
        dispType:'NO',
        dispSeo:"NO",
        dispType1:'NO',
        dispSeo1:"NO",
        dispType2:'NO',
        dispSeo2:"NO",
        dispType3:'NO',
        dispSeo3:"NO",
        dispType4:'NO',
        dispSeo4:"NO",
        dispType5:'NO',
        dispSeo5:"NO",
        dispType6:'NO',
        dispSeo6:"NO",
        searchBox: 'YES',
        titleArr:{},
        getseoArr:{},
        getseo2Arr:{},
        getseo3Arr:{},
        getseo4Arr:{},
        getseo5Arr:{},
        getseo6Arr:{},
        getseo7Arr:{},
        getseo8Arr:{},
        getseo9Arr:{},
        getseo10Arr:{},
        getseo11Arr:{},
        readMore:false,
        borderColor: '1px solid rgba(0, 0, 0, 0.125)',
        borderColor1: '1px solid rgba(0, 0, 0, 0.125)',
        borderColor2: '1px solid rgba(0, 0, 0, 0.125)',
        borderColor3: '1px solid rgba(0, 0, 0, 0.125)',
        borderColor4: '1px solid rgba(0, 0, 0, 0.125)',
        borderColor5: '1px solid rgba(0, 0, 0, 0.125)',
        borderColor6: '1px solid rgba(0, 0, 0, 0.125)',
        getkeyword:[],
        value1:'',
        animated: true,
        progPoint:0,
        t_success:0,t_improve:0, t_error:0,
        checkPoint:"",
        modelvalue:0,
        primaryColorg:"#7fff00",
        image:'https://app.serpwizz.com/tmp/logo.png',
        loader:'https://app.serpwizz.com/tmp/mainload.gif',
        striped: true,
        action:"Insert",
        collname:'',
        klength:0,
       
      }
    },
    components: {
      'knob-control' : KnobControl
    },
    
    methods: {
      onShown() {
        // Focus the cancel button when the overlay is showing
        this.$refs.cancel.focus()
      },
      onHidden() {
        // Focus the show button when the overlay is removed
        this.$refs.show.focus()
      },
      cancelbtn() {
        this.show = false,
        this.dispType ='NO',
        this.dispSeo='NO',
        this.searchBox='YES'
      },
      titleNote: function(value1)
      {
        this[value1] = true;  
      },
      closeInfo: function(value1){
        this[value1] = false;
      },
      updateReport(){
        var self = this ;
        self.action = "Update";
        self.progPoint=0;
        self.t_success=0,self.t_improve=0, self.t_error=0;
        self.dispSeo=='YES';
        self.checkPoint="";
        self.modelvalue=0;
        self.getseo2();
        self.getdomain();
        self.getseo1();
        self.getseo3();
        self.getseo11();
        self.getseo10();
        self.getseo5();
        self.getseo6();
        self.getseo7();
        self.getseo8();
        self.getseo9();
      },
      searchBtn(){
        var self = this ;
        self.show=true;
        self.dispType="YES";
        self.dispType1="YES";
        self.dispType2="YES";
         this.axios.post("https://app.serpwizz.com/Vuecontroller/createCollection",JSON.stringify({
          url: this.domainUrl,
          iframekey: this.iframekey,
        })).then(function(responce){
          if (responce.data.status == 'YES') {

              if (responce.data.res == 'Exist') {
                self.action="Insert";
              }else{
                self.action="Update";
              }
              self.collname = responce.data.Collname;

              self.getseo2();
              self.getdomain();
              self.getseo1();
              self.getseo3();
              self.getseo11();
              self.getseo10();
              self.getseo5();
              self.getseo6();
              self.getseo7();
              self.getseo8();
              self.getseo9();
          }else
          {
            alert('Something is wrong Contact to support');
          }
        }).catch(function(error){
            console.log(error);
        })

      },
      getdomain(){
        
        var self = this;
         this.axios.post("https://app.serpwizz.com/Vuecontroller/getdomain",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor= '0px';
              self.searchBox='NO';
              self.dispType="YES";
              self.dispSeo='YES';
              self.titleArr = responce.data;
              self.getkeyword = responce.data.keyCloudData;
              self.klength = responce.data.keyCloudData.length;

              self.t_success = parseInt(self.t_success) + parseInt(self.titleArr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.titleArr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.titleArr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);
              
              self.progPoint = parseInt(self.progPoint) + parseInt(5);
              self.checkPoint = "Rendering website Title,Description,Keywords and Headings";
              self.getseo4();
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo1(){
        var self = this;
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo1",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor= '0px';
              self.dispType="YES";
              self.dispSeo='YES';
              self.getseoArr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseoArr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseoArr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseoArr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);

              self.progPoint = parseInt(self.progPoint) + parseInt(5);
              self.checkPoint = "Rendering website Image Alt tags";
              
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo2(){

        var self = this;
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo2",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor= '0px';
              self.dispType="YES";
              self.dispSeo='YES';
              self.getseo2Arr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseo2Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo2Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo2Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);

              self.progPoint = parseInt(self.progPoint) + parseInt(10);
              self.checkPoint = "Rendering Domain registration and WHOIS data";
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo3(){

        var self = this;
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo3",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor= '0px';
              self.dispType="YES";
              self.dispSeo='YES';
              self.getseo3Arr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseo3Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo3Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo3Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);


              self.progPoint = parseInt(self.progPoint) + parseInt(10);
              self.checkPoint = "Rendering website Index pages and Backlinks";
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo4(){
        var self = this;
        self.dispType1="YES";
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo4",JSON.stringify({
          url: this.domainUrl,
          action: self.action
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor1= '0px';
              self.dispSeo1='YES';
              self.getseo4Arr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseo4Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo4Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo4Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);

              self.progPoint = parseInt(self.progPoint) + parseInt(5);
              self.checkPoint = "Rendering website Index pages and Backlinks";
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo5(){
        var self = this;
        self.dispType1="YES";
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo5",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor1= '0px';
              self.dispSeo1='YES';
              self.getseo5Arr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseo5Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo5Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo5Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);



              self.progPoint = parseInt(self.progPoint) + parseInt(10);
              self.checkPoint = "Rendering website Index pages and Backlinks";
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo6(){
        var self = this;
        self.dispType2="YES";
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo6",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor2= '0px';
              self.dispSeo2='YES';
              self.getseo6Arr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseo6Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo6Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo6Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);



              self.progPoint = parseInt(self.progPoint) + parseInt(10);
              self.checkPoint = "Rendering website Index pages and Backlinks";
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo7(){
        var self = this;
        self.dispType3="YES";
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo7",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor3= '0px';
              self.dispSeo3='YES';
              self.getseo7Arr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseo7Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo7Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo7Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);



              self.progPoint = parseInt(self.progPoint) + parseInt(10);
              self.checkPoint = "Rendering website Index pages and Backlinks";
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo8(){
        var self = this;
        self.dispType4="YES";
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo8",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor4= '0px';
              self.dispSeo4='YES';
              self.getseo8Arr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseo8Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo8Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo8Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);

    

              self.progPoint = parseInt(self.progPoint) + parseInt(10);
              self.checkPoint = "Rendering website Index pages and Backlinks";
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo9(){
        var self = this;
        self.dispType5="YES";
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo9",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor5= '0px';
              self.dispSeo5='YES';
              self.getseo9Arr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseo9Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo9Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo9Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);



              self.progPoint = parseInt(self.progPoint) + parseInt(10);
              self.checkPoint = "Rendering website Index pages and Backlinks";
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo10(){
        var self = this;
        self.dispType6="YES";
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo10",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.borderColor6= '0px';
              self.dispSeo6='YES';
              self.getseo10Arr = responce.data;

              self.t_success = parseInt(self.t_success) + parseInt(self.getseo10Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo10Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo10Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);

              self.progPoint = parseInt(self.progPoint) + parseInt(15);
              self.checkPoint = "Rendering website Index pages and Backlinks";
            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      },
      getseo11(){
        var self = this;
        self.dispType="YES";
        this.axios.post("https://app.serpwizz.com/Vuecontroller/getseo11",JSON.stringify({
          url: this.domainUrl,
          action: self.action,
          collname:self.collname
        })).then(function(responce){
          if (responce.data.status == 'YES') {
              self.dispSeo='YES';
              self.getseo11Arr = responce.data;
              if(responce.data.screen_shot_image)
              {
                self.loader = responce.data.screen_shot_image;
              }
              self.t_success = parseInt(self.t_success) + parseInt(self.getseo11Arr.t_success) * parseInt(2);
              self.t_improve = parseInt(self.t_improve) + parseInt(self.getseo11Arr.t_improve);
              self.t_error = parseInt(self.t_error) + parseInt(self.getseo11Arr.t_error);
              self.modelvalue =  parseInt(self.t_success) + parseInt(self.t_improve);

            }else
            {
              console.log(responce);
            }
        }).catch(function(error){
            console.log(error);
        })

      }
    },
    filters:{
      makeUppCase: function(value)
      {
         return value.toUpperCase();
      }
    },
    created() {
      
     // console.log(this.$route.split('/'));
      this.domainUrl = this.$route.path.replace('/', '').split('/')[1];
      this.iframekey = this.$route.path.replace('/', '').split('/')[0];
      //console.log(this.iframekey);
      if(this.domainUrl)
      {
        this.searchBox = 'NO';
        this.searchBtn();
        //console.log('test1');
        
      }
    
    }
  }
</script>
<style scoped>
  #overlayid {
    margin-top:20px
  }

  #topbar{
    margin-top:30px;
    margin-bottom:30px;
  }

  .info-icon{
    float:right;
    font-size:20px;
    cursor:pointer;
  }


  #computer{
    width: 100%;
    height: 100%;
    background-size: cover;
    margin-bottom:81px;
  }
  #computer1{
    width: 90%;
    height: 60%;
    margin: 17px;
  }


   

</style>


